local DamageTable = {}

function DamageTable.OnDamage(aIndex, bIndex, Damage, Skill, Combo, Flag)

    local Monster = User.new(aIndex)
    local MonsterClass = Monster:getClass()

    if MonsterClass == 22 then
        return 1000000
    end

   
end


GameServerFunctions.OnUserDamage(DamageTable.OnDamage)